Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleGameObject Class Reference

Class to handle a flexible GameObject type reference method there is more than one. More...

Inheritance diagram for FlexibleGameObject:

## Public Member Functions
| FlexibleGameObject ()
| FlexibleGameObject default constructor More...
| FlexibleGameObject (GameObject gameObject)
| FlexibleGameObject constructor. More...
| FlexibleGameObject (GameObjectParameterReference parameter)
| FlexibleGameObject constructor. More...
| FlexibleGameObject (InputSlotGameObject slot)
| FlexibleGameObject constructor. More...
Public Member Functions inherited from FlexibleField< GameObject >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator GameObject (FlexibleGameObject flexible)
| Cast FlexibleGameObject to GameObject. More...
static | operator FlexibleGameObject (GameObject value)
| Cast GameObject to FlexibleGameObject. More...
Static Public Member Functions inherited from FlexibleField< GameObject >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< GameObject >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< GameObject >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible GameObject type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleGameObject | ( |  | ) |

FlexibleGameObject default constructor

FlexibleGameObject | ( | GameObject | gameObject | ) |

FlexibleGameObject constructor.

Parameters

  gameObject | GameObject

FlexibleGameObject | ( | GameObjectParameterReference | parameter | ) |

FlexibleGameObject constructor.

Parameters

  parameter | Parameter

FlexibleGameObject | ( | InputSlotGameObject | slot | ) |

FlexibleGameObject constructor.

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleGameObject | ( | GameObject | value | ) |
| explicit static

Cast GameObject to FlexibleGameObject.

Parameters

  value | GameObject

static operator GameObject | ( | FlexibleGameObject | flexible | ) |
| explicit static

Cast FlexibleGameObject to GameObject.

Parameters

  flexible | FlexibleGameObject